import { SNSEvent, SNSMessage, SQSEvent, SQSRecord, MSKEvent, MSKRecord, EventBridgeEvent } from 'aws-lambda';
import { DeleteMessageBatchRequestEntry } from '@aws-sdk/client-sqs';
type LambdaEvent = SNSEvent | SQSEvent | MSKEvent | EventBridgeEvent<string, Record<string, unknown>>;
export declare class Lambda {
    private readonly fns;
    constructor();
    sns: (topicArn: string, processSnsMessage: (message: SNSMessage) => Promise<void>) => void;
    sqs: (queueArn: string, processSqsRecord: (record: SQSRecord) => Promise<void>) => void;
    sqsFifo: (queueArn: string, processSqsRecord: (record: SQSRecord) => Promise<void>) => void;
    msk: (mskArn: string, mskTopic: string, processMskRecord: (record: MSKRecord) => Promise<void>) => void;
    scheduledEvent: (ruleArn: string, processScheduledEvent: () => Promise<void>) => void;
    eventBridge: (resourceArn: string, processEventBridge: (detail: Record<string, unknown>) => Promise<void>) => void;
    handler: (event: LambdaEvent) => Promise<unknown>;
    sqsDeleteMessageBatch: (queueArn: string, fulfilledRecords: DeleteMessageBatchRequestEntry[]) => Promise<void>;
}
export {};
